## Get LookupTable

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/lookuptables/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Status Codes
- **200**: Success
- **4XX**: Client errors
- **5XX**: Server errors

### Example Response

```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "name": "<string>",
  "code": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "activeRevision": {
    "id": "<string>",
    "version": 123,
    "customFields": {},
    "name": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "fields": [
      {
        "name": "lookuptablerevisionfieldkey"
      }
    ],
    "keys": [
      "<string>"
    ],
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>",
    "itemCount": 123,
    "lookupTableId": "<string>"
  }
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations
- **Authorization**: string, required, header
  - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters
- **orgId**: string, required
  - UUID of the Organization.
- **id**: string, required
  - The UUID of the Lookup Table to retrieve.

### Query Parameters
- **additional**: string[]
  - Comma separated list of additional non-default fields to be included in the response.

### Response Details
- **200 application/json**: Return the requested Lookup Table.
  - **id**: string, required
  - **version**: integer<int64>
  - **customFields**: object
  - **name**: string
  - **code**: string
  - **dtCreated**: string<date-time>
  - **dtLastModified**: string<date-time>
  - **createdBy**: string
  - **lastModifiedBy**: string
  - **activeRevision**: object
    - **id**: string 
    - **version**: integer
    - **customFields**: object
    - **name**: string
    - **startDate**: string<date-time>
    - **fields**: array of objects
    - **keys**: array of strings
    - **dtCreated**: string<date-time>
    - **dtLastModified**: string<date-time>
    - **createdBy**: string
    - **lastModifiedBy**: string
    - **itemCount**: integer
    - **lookupTableId**: string
